Lintian Reports

P old-style-config-script

All reports of old-style-config-script for the archive. The extended description of this tag is:

The following file is an old style config file, used to retrieve information about installed libraries in the system. It is typically used to compile and link against one or more libraries.

Using this kind of system to pass compile file is obsolete and will likely introduce bugs in a multi-arch system. Particularly, this kind of script could only belong to a package that is not Multi-Arch.

You should consider to move to pkg-config file and warn your user to not use this script, and open a bug upstream.

You should also consider to implement this file as a compatibility wrapper over pkg-config.

After fixing every reverse depends of your package and use pkg-config reverse depends makefile, you should consider to put this script, as a temporary convenience of your users, under /usr/lib/$DEB_HOST_MULTIARCH/$PACKAGE/bin where $DEB_HOST_MULTIARCH is the multi-arch triplet and $PACKAGE is the package name. You should also consider to add a NEWS.Debian entry.

Refer to the pkg-config(1) manual page and http://sources.debian.net/src/imagemagick/8:6.8.9.9-6/debian/NEWS/ for details.

Severity: pedantic, Certainty: possible

Check: files, Type: binary, udeb

Evolution of the old-style-config-script Lintian tag over the past 366 days:

The beforementioned graph for the old-style-config-script tag

Emitted (non-overridden): 450, overridden: 12, total: 462

The package names link to the relevant maintainer page and the corresponding report for the source package. The links go to the full maintainer report page, which includes info and experimental tags and overridden tags, rather than the default page that shows only errors and warnings.

autogen 1:5.18.12-3 (binary)

avfs 1.0.3-1+b1 (binary)

bind9 1:9.10.3.dfsg.P4-12.3 (binary)

bind9 1:9.10.4-P5-1 (binary)

byobu 5.112-1 (binary)

chasen-dictutils 2.4.5-34 (binary)

code-saturne-bin 4.3.3+repack-1 (binary)

ctpp2-utils 2.8.3-20.1 (binary)

discover 2.1.2-7.1 (binary)

ecl 16.1.2-2 (binary)

etl-dev 0.04.19-1 (binary)

exim4-dev 4.89-2 (binary)

fcitx-libs-dev 1:4.2.9.1-6 (binary)

fflas-ffpack 2.2.2-4 (binary)

freehdl 0.0.8-2.2 (binary)

fvwm 1:2.6.7-3 (binary)

giblib-dev 1.2.4-11 (binary)

gnustep-make 2.6.8-2.1 (binary) overridden

guile-2.0-dev 2.0.13+1-4 (binary)

herwig++-dev 2.6.0-1.1 (binary)

kannel-dev 1.4.4-4 (binary)

libaa1-dev 1.4p5-44+b1 (binary)

libadasockets6-dev 1.9-1.1 (binary)

libafterimage-dev 2.2.12-9+b1 (binary)

liballegro4-dev 2:4.4.2-10 (binary)

libalut-dev 1.1.0-5+b2 (binary)

libantlr-dev 2.7.7+dfsg-7+b1 (binary)

libapr1-dev 1.5.2-5 (binary)

libapreq2-dev 2.13-5+b1 (binary)

libaprutil1-dev 1.5.4-3 (binary)

libaqbanking-dev 5.6.12-1+b1 (binary)

libaqbanking-dev 5.7.6beta-1 (binary)

libart-2.0-dev 2.3.21-2 (binary)

libassuan-dev 2.4.3-2 (binary) overridden

libast2-dev 0.7-7 (binary)

libavifile-0.7-dev 1:0.7.48~20090503.ds-19+b1 (binary)

libbroccoli-dev 1.99-1 (binary)

libcaca-dev 0.99.beta19-2+b2 (binary)

libcdaudio-dev 0.99.12p2-14 (binary)

libcgicc-dev 3.2.16-0.1 (binary)

libchipcard-dev 5.1.0beta-1 (binary)

libchipcard-dev 5.0.4-1+b1 (binary)

libclamav-dev 0.99.2+dfsg-6+b1 (binary)

libclaw-dev 1.7.4-1 (binary)

libclhep-dev 2.1.4.1+dfsg-1 (binary)

libcoin80-dev 3.1.4~abc9f50+dfsg1-2 (binary)

libcommoncpp2-dev 1.8.1-6.1 (binary)

libcppunit-dev 1.13.2-2.1 (binary)

libcups2-dev 2.2.1-8 (binary)

libcups2-dev 2.2.3-1 (binary)

libcurl4-gnutls-dev 7.52.1-5 (binary)

libcurl4-nss-dev 7.52.1-5 (binary)

libcurl4-openssl-dev 7.52.1-5 (binary)

libcurlpp-dev 0.8.1-1 (binary)

libcxxtools-dev 2.2.1-2 (binary)

libdap-dev 3.18.2-2 (binary)

libdap-dev 3.18.3-2 (binary)

libdaq-dev 2.0.4-3+b1 (binary)

libdaq-dev 2.2.1-1 (binary)

libdumbnet-dev 1.12-7+b1 (binary)

libecasoundc-dev 2.9.1-7+b2 (binary)

libesd0-dev 0.2.41-11 (binary)

libesmtp-dev 1.0.6-4.2 (binary)

libetpan-dev 1.6-2 (binary)

libfastjet-dev 3.0.6+dfsg-3 (binary)

libflickcurl-dev 1.26-2 (binary)

libfltk1.1-dev 1.1.10-23 (binary)

libfltk1.3-dev 1.3.4-4 (binary)

libfreecell-solver-dev 4.8.0-1 (binary)

libfreetype6-dev 2.7.1-0.1 (binary)

libfreetype6-dev 2.6.3-3.2 (binary)

libftdi-dev 0.20-4 (binary)

libftdi1-dev 1.3-2+b2 (binary)

libgadap-dev 2.0-8 (binary)

libgcrypt20-dev 1.7.6-1 (binary)

libgdal-dev 2.2.0+dfsg-1~exp1 (binary)

libgdal-dev 2.1.2+dfsg-5 (binary)

libgdome2-dev 0.8.1+debian-6 (binary)

libgeos-dev 3.5.1-3 (binary)

libgetfem++-dev 5.1+dfsg1-4 (binary)

libgivaro-dev 4.0.2-5 (binary)

libgmt-dev 5.4.1+dfsg-1~exp1 (binary)

libgmt-dev 5.3.1+dfsg-2+b1 (binary)

libgpg-error-dev 1.27-2 (binary) overridden

libgpg-error-dev 1.26-2 (binary) overridden

libgpgme-dev 1.9.0-2 (binary)

libgpgme-dev 1.8.0-3+b2 (binary)

libgraphicsmagick++1-dev 1.3.25-8 (binary)

libgraphicsmagick1-dev 1.3.25-8 (binary)

libgsl-dev 2.3+dfsg-1 (binary)

libgst-dev 3.2.5-1+b3 (binary)

libgtkada-bin 3.8.3-1+b3 (binary)

libgts-bin 0.7.6+darcs121130-4 (binary)

libgwenhywfar-core-dev 4.15.3-5+b1 (binary)

libgwenhywfar-core-dev 4.17.0-2 (binary)

libgwrap-runtime-dev 1.9.15-0.1 (binary)

libicapapi-dev 1:0.4.4-1 (binary)

libicu-dev 57.1-6 (binary)

libicu-dev 58.2-1 (binary)

libifstat-dev 1.1-8.1 (binary)

libijs-dev 0.35-12 (binary)

libimlib2-dev 1.4.8-1 (binary)

libiodbc2-dev 3.52.9-2+b1 (binary)

libitpp-dev 4.3.1-7 (binary)

libkakasi2-dev 2.3.6-1+b1 (binary)

libksba-dev 1.3.5-2 (binary)

liblas-dev 1.8.1-3+b1 (binary)

liblas-dev 1.8.1-4~exp2 (binary)

liblhapdf-dev 5.9.1-5 (binary)

liblinbox-dev 1.4.2-3 (binary)

liblog4c-dev 1.2.1-3 (binary)

liblog4cpp5-dev 1.1.1-3 (binary)

liblog4shib-dev 1.0.9-3 (binary)

libm17n-dev 1.7.0-3+b1 (binary)

libmailutils-dev 1:3.1.1-1 (binary)

libmapnik-dev 3.0.13+ds-1~exp2 (binary)

libmapnik-dev 3.0.12+ds-3 (binary)

libmcrypt-dev 2.5.8-3.3 (binary)

libmdc2-dev 0.14.1-1+b2 (binary)

libmecab-dev 0.996-3.1 (binary)

libmikmod-config 3.3.10-1 (binary)

libmm-dev 1.4.2-5 (binary)

libmozjs-24-dev 24.2.0-5.1+b2 (binary)

libmozjs185-dev 1.8.5-1.0.0+dfsg-7 (binary)

libncurses5-dev 6.0+20161126-1 (binary)

libncurses5-dev 6.0+20170408-1 (binary)

libncursesw5-dev 6.0+20161126-1 (binary)

libncursesw5-dev 6.0+20170408-1 (binary)

libneon27-dev 0.30.2-2 (binary)

libneon27-gnutls-dev 0.30.2-2 (binary)

libnet1-dev 1.1.6+dfsg-3 (binary)

libnetcdf-c++4-dev 4.3.0+ds-3 (binary)

libnetcdf-dev 1:4.4.1.1-2 (binary)

libnetcdff-dev 4.4.4+ds-2 (binary)

libnetxx-dev 0.3.2-2 (binary)

libnmz7-dev 2.0.21-20+b1 (binary)

libnpth0-dev 1.4-1 (binary)

libnpth0-dev 1.3-1 (binary)

libnspr4-dev 2:4.12-6 (binary)

libnspr4-dev 2:4.14-1 (binary)

libnss3-dev 2:3.30.2-1 (binary)

libnss3-dev 2:3.26.2-1 (binary)

libode-dev 2:0.14-2 (binary)

libogdi3.2-dev 3.2.0+ds-2 (binary)

libopenlayer-dev 2.1-2.1+b1 (binary)

libopenturns-dev 1.7-3 (binary)

libopenusb-dev 1.1.11-1+b2 (binary)

liborbit2-dev 1:2.14.19-2+b1 (binary)

libossp-sa-dev 1.2.6-2 (binary)

libossp-uuid-dev 1.6.2-1.5+b4 (binary)

libotf-dev 0.9.13-3+b1 (binary)

libpcap0.8-dev 1.8.1-3 (binary)

libpcre++-dev 0.9.5-6.1 (binary)

libpcre2-dev 10.22-3 (binary)

libpcre3-dev 2:8.39-3 (binary)

libpdal-dev 1.4.0-1+b1 (binary)

libpdal-dev 1.5.0-1~exp1 (binary)

libpkgconfig-perl 0.12026-1 (binary) overridden

libpng-dev 1.6.28-1 (binary)

libpng-dev 1.6.29-2 (binary)

libpolyorb3-dev 2.11~20140418-3.2+b1 (binary)

libprelude-dev 1.0.0-11.9 (binary)

libpreludedb-dev 1.0.0-2.4 (binary)

libpth-dev 2.0.7-20+b2 (binary)

libpython2.7-dbg 2.7.13-2 (binary)

libpython2.7-dev 2.7.13-2 (binary)

libpython3.5-dbg 3.5.3-1 (binary)

libpython3.5-dev 3.5.3-1 (binary)

libpython3.6-dbg 3.6.1-1 (binary)

libpython3.6-dev 3.6.1-1 (binary)

libqd-dev 2.3.17.dfsg-1 (binary)

libquantlib0-dev 1.10-1 (binary)

librasqal3-dev 0.9.32-1+b1 (binary)

librdf0-dev 1.0.17-1.1 (binary)

libregina3-dev 3.6-2.1 (binary)

librheolef-dev 6.7-1+b4 (binary)

librivet-dev 1.8.3-2 (binary)

librsb-dev 1.2.0-rc5-3+b1 (binary) overridden

librsb-dev 1.2.0-rc6-1 (binary) overridden

libsane-bin 1.0.26~git20151121-1 (binary)

libsc-dev 2.3.1-18 (binary)

libsdl1.2-dev 1.2.15+dfsg1-4 (binary)

libsdl2-dev 2.0.5+dfsg1-2 (binary)

libsfcgal-dev 1.3.0-4+b2 (binary)

libsidl-dev 1.4.0.dfsg-8.2 (binary)

libsimage-dev 1.7.1~2c958a6.dfsg-4 (binary)

libsixel-bin 1.5.2-2+b2 (binary)

libsmpeg-dev 0.4.5+cvs20030824-7.2+b1 (binary)

libsnmp-dev 5.7.3+dfsg-1.7 (binary)

libsoqt-dev-common 1.6.0~e8310f-3 (binary)

libstaden-read-dev 1.14.8-2 (binary)

libsundials-serial-dev 2.5.0-3+b3 (binary)

libsynfig-dev 1.0.2-1+b6 (binary)

libtag-extras-dev 1.0.1-3.1 (binary)

libtag1-dev 1.11.1+dfsg.1-0.1 (binary)

libtntnet-dev 2.2.1-3+b1 (binary)

libtulip-dev 4.8.0dfsg-2+b7 (binary)

libucommon-dev 7.0.0-9 (binary)

libusb-dev 2:0.1.12-31 (binary)

libvisp-dev 3.0.0-4+b2 (binary)

libvisp-dev 3.0.1-2+b1 (binary)

libvncserver-config 0.9.11+dfsg-1 (binary)

libwmf-dev 0.2.8.4-10.6 (binary)

libxapian-dev 1.4.4-1 (binary)

libxapian-dev 1.4.3-2 (binary)

libxenomai-dev 2.6.4+dfsg-1 (binary)

libxine2-dev 1.2.6-1.3 (binary)

libxml2-dev 2.9.4+dfsg1-2.2 (binary)

libxmlada-unicode6-dev 4.5.2015-8+b2 (binary)

libxmlrpc-core-c3-dev 1.33.14-4 (binary)

libxmlrpc-core-c3-dev 1.33.14-6 (binary)

libxmlsec1-dev 1.2.23-0.1 (binary)

libxosd-dev 2.2.14-2.1+b1 (binary)

libxslt1-dev 1.1.29-2.1 (binary)

libyaz4-dev 4.2.30-4+b6 (binary)

libzia-dev 4.06-2+b1 (binary)

libzthread-dev 2.3.2-8 (binary)

open-cobol 1.1-2+b1 (binary)

pd-pdp 1:0.14.1-3+b1 (binary)

pegasus-wms 4.4.0+dfsg-6 (binary)

pktools-dev 2.6.7-3 (binary)

pnetcdf-bin 1.8.1-1 (binary)

polymake 3.0r2-2+b1 (binary)

regina-normal 5.1-1 (binary)

scheme48 1.9-5+b2 (binary)

snacc 1.3.1-7 (binary)

swish-e-dev 2.4.7-5+b2 (binary)

taopm 1.0-3+b2 (binary)

tuxpaint-dev 1:0.9.22-4 (binary)

vflib3-dev 3.6.14.dfsg-3+nmu3 (binary)

xdelta 1.1.3-9.1+b1 (binary)

yosys-dev 0.7-2 (binary)